Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi.work
Class WorkAdapter

    java.lang.Object
      javax.resource.spi.work.WorkAdapter

All Implemented Interfaces:
  java.util.EventListener, WorkListener

public class WorkAdapter
extends java.lang.Object
implements WorkListener

This class is provided as a convenience for easily creating `WorkListener` instances by extending this class and overriding only those methods of interest.

Version:
  1.0
Author:
  Ram Jeyaraman

Constructor Summary
`WorkAdapter()`

Method Summary
`void` | `workAccepted(WorkEvent e)` Invoked when a `Work` instance has been accepted.
`void` | `workCompleted(WorkEvent e)` Invoked when a `Work` instance has completed execution.
`void` | `workRejected(WorkEvent e)` Invoked when a `Work` instance has been rejected.
`void` | `workStarted(WorkEvent e)` Invoked when a `Work` instance has started execution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkAdapter

    public WorkAdapter()

Method Detail

### workAccepted

    public void workAccepted(WorkEvent e)

  Invoked when a `Work` instance has been accepted.

  Specified by:
    `workAccepted` in interface `WorkListener`

### workRejected

    public void workRejected(WorkEvent e)

  Invoked when a `Work` instance has been rejected.

  Specified by:
    `workRejected` in interface `WorkListener`

### workStarted

    public void workStarted(WorkEvent e)

  Invoked when a `Work` instance has started execution. This only means that a thread has been allocated.

  Specified by:
    `workStarted` in interface `WorkListener`

### workCompleted

    public void workCompleted(WorkEvent e)

  Invoked when a `Work` instance has completed execution.

  Specified by:
    `workCompleted` in interface `WorkListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.